Name:    lxqt-about
Summary: About application for LXQt desktop suite
Version: 0.9.0
Release: 3%{?dist}
License: LGPLv2+
URL:     http://lxqt.org/
Source0: http://downloads.lxqt.org/lxqt/0.9.0/lxqt-about-0.9.0.tar.xz

BuildRequires: cmake >= 2.8.9
BuildRequires: pkgconfig(lxqt)
BuildRequires: pkgconfig(Qt5Xdg)
BuildRequires: pkgconfig(Qt5Help)
BuildRequires: kf5-kwindowsystem-devel >= 5.5
BuildRequires: desktop-file-utils

%if 0%{?fedora} >= 22
Obsoletes: razorqt-about <= 0.5.2
%endif

%description
%{summary}.


%prep
%setup -q

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
	%cmake -DUSE_QT5=TRUE ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

desktop-file-edit \
	--remove-category=LXQt --add-category=X-LXQt \
	--remove-category=Help --add-category=X-Help \
	--remove-only-show-in=LXQt --add-only-show-in=X-LXQt \
	%{buildroot}%{_datadir}/applications/lxqt-about.desktop

%files
%doc COPYING
%{_bindir}/lxqt-about
%{_datadir}/lxqt/lxqt-about
%{_datadir}/applications/lxqt-about.desktop


%changelog
* Wed Feb 18 2015 Helio Chissini de Castro <helio@kde.org> - 0.9.0-3
- Rebuild (gcc5)

* Tue Feb 10 2015 Helio Chissini de Castro <helio@kde.org> - 0.9.0-2
- Obsoletes razorqt-about as migrated to lxqt

* Sun Feb 08 2015 Helio Chissini de Castro <helio@kde.org> - 0.9.0-1
- New upstream release 0.9.0

* Tue Feb 03 2015 Helio Chissini de Castro <hcastro@redhat.com> - 0.9.0-0.1
- Preparing fro 0.9.0 release

* Mon Dec 29 2014 Helio Chissini de Castro <hcastro@redhat.com> - 0.8.0-6
- Rebuild against new Qt 5.4.0

* Fri Dec 19 2014 Helio Chissini de Castro <hcastro@redhat.com> - 0.8.0-5
- Unify naming as discussed on Fedora IRC

* Thu Nov 27 2014 Helio Chissini de Castro <hcastro@redhat.com> - 0.8.0-4
- Wrong cmake version requires

* Mon Nov 10 2014 Helio Chissini de Castro <hcastro@redhat.com> - 0.8.0-3
- Updates on review https://bugzilla.redhat.com/show_bug.cgi?id=1159819

* Mon Nov 03 2014 Helio Chissini de Castro <hcastro@redhat.com> - 0.8.0-2
- Update to send to review

* Mon Oct 27 2014 Helio Chissini de Castro <hcastro@redhat.com> - 0.8.0-1
- First release to LxQt new base
